WriteNowTextInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
WriteNowTextInternal::State Struct Reference

Internal: the state of a WriteNowText. More...

## Public Member Functions
| State ()
| constructor More...
Paragraph | getDefaultParagraph (int type) const
| return a paragraph corresponding to 0:body, 1: header/footer, 2: footnote More...
int | getFontId (int localId) const
| return a mac font id corresponding to a local id More...
shared_ptr< ContentZones > | getContentZone (long pos) const
| return the content corresponding to a pos More...

## Public Attributes
int | m_version
| the file version More...
int | m_numColumns
| the number of column More...
int | m_numPages
int | m_actualPage
Paragraph | m_paragraph
| the paragraph properties More...
shared_ptr< ContentZones > | m_header
| the header and the footer More...
shared_ptr< ContentZones > | m_footer
std::map< int, int > | m_localFIdMap
| a map local fontId->fontId More...
std::map< int, int > | m_styleMap
| the style indirection table More...
std::vector< Style > | m_styleList
| the list of styles (body, footer, footnote, header, table ) More...
Zone | m_mainZones [3]
| the three main zone ( text, footnote, header/footer) More...
std::map< long, shared_ptr< ContentZones > > | m_contentMap
| the list of contentZones More...

## Detailed Description

Internal: the state of a WriteNowText.

## Constructor & Destructor Documentation

## ◆ State()

WriteNowTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getContentZone()

shared_ptr<ContentZones> WriteNowTextInternal::State::getContentZone | ( | long | pos | ) | const
| inline

return the content corresponding to a pos

## ◆ getDefaultParagraph()

Paragraph WriteNowTextInternal::State::getDefaultParagraph | ( | int | type | ) | const
| inline

return a paragraph corresponding to 0:body, 1: header/footer, 2: footnote

## ◆ getFontId()

int WriteNowTextInternal::State::getFontId | ( | int | localId | ) | const
| inline

return a mac font id corresponding to a local id

## Member Data Documentation

## ◆ m_actualPage

int WriteNowTextInternal::State::m_actualPage

## ◆ m_contentMap

std::map<long, shared_ptr<ContentZones> > WriteNowTextInternal::State::m_contentMap

the list of contentZones

## ◆ m_footer

shared_ptr<ContentZones> WriteNowTextInternal::State::m_footer

## ◆ m_header

shared_ptr<ContentZones> WriteNowTextInternal::State::m_header

the header and the footer

## ◆ m_localFIdMap

std::map<int, int> WriteNowTextInternal::State::m_localFIdMap

a map local fontId->fontId

## ◆ m_mainZones

Zone WriteNowTextInternal::State::m_mainZones[3]

the three main zone ( text, footnote, header/footer)

## ◆ m_numColumns

int WriteNowTextInternal::State::m_numColumns

the number of column

## ◆ m_numPages

int WriteNowTextInternal::State::m_numPages

## ◆ m_paragraph

Paragraph WriteNowTextInternal::State::m_paragraph

the paragraph properties

## ◆ m_styleList

std::vector<Style> WriteNowTextInternal::State::m_styleList

the list of styles (body, footer, footnote, header, table )

## ◆ m_styleMap

std::map<int, int> WriteNowTextInternal::State::m_styleMap

the style indirection table

## ◆ m_version

int WriteNowTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- WriteNowText.cxx